Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math
Class MatrixRowStats

    java.lang.Object
      baseCode.math.MatrixRowStats

public class MatrixRowStats
extends java.lang.Object

Convenience functions for getting row statistics from matrices.

Copyright (c) 2004

Institution:: Columbia University

Version:
  $Id: MatrixRowStats.java,v 1.11 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Method Summary
`static cern.colt.list.DoubleArrayList` | `means(DenseDoubleMatrix2DNamed M)` Calculates the means of a matrix's rows.
`static cern.colt.list.DoubleArrayList` | `sampleStandardDeviations(DenseDoubleMatrix2DNamed M)` Calculates the sample standard deviation of each row of a matrix
`static cern.colt.list.DoubleArrayList` | `sumOfSquares(DenseDoubleMatrix2DNamed M)` Calculates the sum of squares for each row of a matrix
`static cern.colt.list.DoubleArrayList` | `sums(DenseDoubleMatrix2DNamed M)` Calculate the sums of a matrix's rows.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sumOfSquares

    public static cern.colt.list.DoubleArrayList sumOfSquares(DenseDoubleMatrix2DNamed M)

  Calculates the sum of squares for each row of a matrix

  Parameters:
    `M` - DenseDoubleMatrix2DNamed
  Returns:
    DoubleArrayList

### means

    public static cern.colt.list.DoubleArrayList means(DenseDoubleMatrix2DNamed M)

  Calculates the means of a matrix's rows.

  Parameters:
    `M` - DenseDoubleMatrix2DNamed
  Returns:
    DoubleArrayList

### sums

    public static cern.colt.list.DoubleArrayList sums(DenseDoubleMatrix2DNamed M)

  Calculate the sums of a matrix's rows.

  Parameters:
    `M` - DenseDoubleMatrix2DNamed
  Returns:
    DoubleArrayList

### sampleStandardDeviations

    public static cern.colt.list.DoubleArrayList sampleStandardDeviations(DenseDoubleMatrix2DNamed M)

  Calculates the sample standard deviation of each row of a matrix

  Parameters:
    `M` - DenseDoubleMatrix2DNamed
  Returns:
    DoubleArrayList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.